Bug 427327 - metacity moves windows between workspaces w/o asking
Summary: metacity moves windows between workspaces w/o asking
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity
Version: 8
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-03 05:20 UTC by John Levon
Modified: 2014-06-18 09:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 05:41:08 UTC


Attachments (Terms of Use)

Description John Levon 2008-01-03 05:20:34 UTC
Description of problem:

If I set liferea, or some other app, to open links in a new tab
in firefox, then metacity will *move* the current firefox window
to the current workspace. This seems like an obvious bug: windows
should only ever be moved if I ask them to be.

Version-Release number of selected component (if applicable):

[moz@rent torrents]$ rpm -q metacity
metacity-2.20.1-1.fc8

How reproducible:

Every time.

Steps to Reproduce:
1. Set liferea, or some other app, to open links in a new tab in firefox
2. start firefox in workspace #1, liferea in #2
3. click a link in liferea
  
Actual results:

firefox is moved to workspace #2

Expected results:

firefox should remain in workspace #1 (whether metacity
should switch to #1 is a matter of debate)

Additional info:

Comment 1 Adam Huffman 2008-02-15 22:10:19 UTC
Yes, this is becoming very irritating...

Comment 2 Stefan Plewako 2008-10-23 17:53:31 UTC
In Fedora 9/Gnome 2.22 there is a pref in gnome panel window list settings for that, don't know the default state but I agree that this should be default behavior.

Comment 3 Bug Zapper 2008-11-26 09:16:01 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-01-09 05:41:08 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.